Freeciv-3.1: container Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
container Struct Reference

`#include <widget.h>`

## Data Fields

int | id0
int | id1
int | value

## Detailed Description

Definition at line 102 of file widget.h.

## Field Documentation

## ◆ id0

int container::id0

Definition at line 103 of file widget.h.

Referenced by cities_callback(), economy_report_dialog_popup(), embassy_callback(), exit_find_city_dlg_callback(), gold_callback(), goto_here_callback(), maps_callback(), ok_sell_impr_callback(), pact_callback(), paradrop_here_callback(), patrol_here_callback(), popup_advanced_terrain_dialog(), popup_diplomatic_objects(), popup_sabotage_dialog(), popup_sell_impr_callback(), remove_clause_callback(), remove_clause_widget_from_list(), sabotage_impr_callback(), spy_steal_popup_shared(), techs_callback(), terrain_info_callback(), update_clauses_list(), update_diplomacy_dialog(), and vision_callback().

## ◆ id1

int container::id1

Definition at line 104 of file widget.h.

Referenced by accept_treaty_callback(), cancel_meeting_callback(), cities_callback(), economy_report_dialog_popup(), embassy_callback(), exit_find_city_dlg_callback(), gold_callback(), goto_here_callback(), maps_callback(), ok_sell_impr_callback(), pact_callback(), paradrop_here_callback(), patrol_here_callback(), popup_advanced_terrain_dialog(), popup_diplomatic_objects(), popup_sabotage_dialog(), popup_sell_impr_callback(), remove_clause_callback(), sabotage_impr_callback(), spy_steal_popup_shared(), techs_callback(), terrain_info_callback(), update_clauses_list(), update_diplomacy_dialog(), and vision_callback().

## ◆ value

int container::value

Definition at line 105 of file widget.h.

Referenced by add_global_worklist(), create_tech_info(), gold_callback(), popup_diplomatic_objects(), popup_sabotage_dialog(), real_science_report_dialog_update(), remove_clause_callback(), remove_clause_widget_from_list(), sabotage_impr_callback(), and update_clauses_list().